Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.criteria
Interface CollectionJoin<Z,E>

Type Parameters:
  `Z` - the source type of the join
  `E` - the element type of the target `Collection`

All Superinterfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, PluralJoin<Z,java.util.Collection<E>,E>, Selection<E>, TupleElement<E>

    public interface CollectionJoin<Z,E>

extends PluralJoin<Z,java.util.Collection<E>,E>

The `CollectionJoin` interface is the type of the result of joining to a collection over an association or element collection that has been specified as a `java.util.Collection`.

Since:
  Java Persistence 2.0

Method Summary
`CollectionAttribute<? super Z,E>` | `getModel()` Return the metamodel representation for the collection attribute.

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getModel

    CollectionAttribute<? super Z,E> getModel()

  Return the metamodel representation for the collection attribute.

  Specified by:
    `getModel` in interface `Path<E>`
  Specified by:
    `getModel` in interface `PluralJoin<Z,java.util.Collection<E>,E>`
  Returns:
    metamodel type representing the `Collection` that is the target of the join

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD